//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////
// includes from ObjectARX Wizard
#ifdef _DEBUG
#define _DEBUG_WAS_DEFINED
#undef _DEBUG
#endif
#include "stdafx.h"           // MFC stuff
#ifdef _DEBUG_WAS_DEFINED
#define _DEBUG
#undef _DEBUG_WAS_DEFINED
#endif

#include "minDatum.h"

extern "C" HINSTANCE _hdllInstance;


//LPCTSTR _version_Datum = /*MSG0*/"Minimum Datum - %d";

/////////////////////////////////////////////////////////////////////
// standard support for of datum target symboogy GB
/////////////////////////////////////////////////////////////////////
ACRX_DXF_DEFINE_MEMBERS(TestDatumStd,AcmDatumStdISO,AcDb::kDHL_CURRENT, AcDb::kMReleaseCurrent,0,TESTDATUMSTD,_T("NEWDATUM"));

TestDatumStd::TestDatumStd()
{
}

TestDatumStd::~TestDatumStd()
{
}

ACM_DEFINE_HEAP_OPERATORS_DEFAULT(TestDatumStd);

Acm::ErrorStatus
TestDatumStd::getRevision(CString& rev, Adesk::UInt16& year) const
{
  assertReadEnabled();
  year = 1999;
//  rev.Format(_version_Datum,year);
  rev.Format(_T("Minimum Datum - %d"),year);
  return Acm::eOk;
}

Adesk::Boolean
TestDatumStd::isCompatibleTo(const AcmStandard* pStd) const
{
  assertReadEnabled();
  assert(pStd != NULL);
  return pStd->isKindOf(AcmStandardISO::desc());
}


